Bug 117761 - Snake Algorithm unable to display accurate layout.
Summary: Snake Algorithm unable to display accurate layout.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.4 target:6.1....
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-23 14:23 UTC by Ekansh Jha
Modified: 2021-07-12 07:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ekansh Jha 2018-05-23 14:23:25 UTC
Description:
After importing some ppt related to Snake Algorithm, It doesn't display accurate layout. There is a number of things which are not reproduced correctly like the number of rows and columns, aspect ratio and last row position of the children.

Steps to Reproduce:
1. Open smartart1.pptx located in sd/qa/unit/data/pptx/smartart1.pptx in Impress.

Actual Results:  
It displays smartart with 2 rows and 3 columns, with postion of the last child being normal.

Expected Results:
The number of rows and number of columns should be swapped, Moreover, the last row should correctly display the child.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: a1128ae33226001db33c33b03d95e3a3933007c7
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: en-IN (en_IN); Calc: CL


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36
Comment 1 Commit Notification 2018-06-08 15:50:51 UTC
ekuiitr committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d43de9a88dc7c7fec0e7c794cef14953fb34b6e

tdf#117761 Corrected Snake Algorithm

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Jean-Baptiste Faure 2018-06-10 18:28:25 UTC
I guess this bug report can be marked as resolved-fixed.
Please feel free to reopen if I am wrong.

Best regards. JBF
Comment 3 Commit Notification 2018-11-09 07:43:26 UTC
ekuiitr committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/c0da7d8509516ba6f1fc8781c042fd6f1bd92297%5E%21

tdf#117761 Corrected Snake Algorithm

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-11-13 14:56:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/4f727bb76b61648511112adb59439a99b5e27629%5E%21

Related: tdf#117761 oox smartart: backport fixes related to list types

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-12-19 21:11:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/73cc724dc35551ea349b3da0c4ecd6cba2fdd0ae%5E%21

Related: tdf#117761 oox smartart: backport fixes related to process types

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-24 17:14:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/53c3cbd7159293f286b19249346ffbf5fc2daeae%5E%21

Related: tdf#117761 oox smartart: backport fixes related to org chart

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-24 19:06:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/0e97e05d57a55d0825b321c0d0402dc619f089bf%5E%21

Related: tdf#117761 oox smartart: backport fixes related to org chart

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-02-21 21:33:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a6d9ccf26910e35f22ccec8a75472e2fa947abe1%5E%21

Related: tdf#117761 oox smartart: backport fixes related to cycle matrix

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-02-21 21:33:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/abab6e096839838e60222c635cf51629d7ce48d5%5E%21

Related: tdf#117761 oox smartart: backport fixes related to cycle matrix

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-03-04 18:12:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/a02a160c8d5a70b30128c0880ba8853d0dbe0e7c%5E%21

Related: tdf#117761 oox smartart: backport fixes related to picture strip

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-03-05 09:27:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c38c9139b4b5a5e8a52197733f3cefdc89c86364%5E%21

Related: tdf#117761 oox smartart: backport fixes related to picture strip

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Hossein 2021-07-02 07:37:25 UTC
Unit test for Snake Algorithm
Ekansh Jha
Jul 10 2018

"Added unit tests for snake algorithm which tests the position of the
child nodes in normal from left to right layout and from right to left
layout."

https://git.libreoffice.org/core/+/6d7c22092e66b6479ab4542286a0c0690e20b4dd
Comment 13 Commit Notification 2021-07-12 07:33:03 UTC
Hossein committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fc476804ce32722b63a27f2f7120b1f28d905fe6

tdf#117761 Adding extra checks for SmartArt import (Snake Algorithm)

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.